修改 Codeigniter 2.0.1 在 PHP 7 上运行

很年久的一个项目,当时是用 CI 2.0.1 开发的。对方需要迁移到 PHP 7 上运行。经验证,以下操作有效。 下载 CodeIgniter 2.2.6 替换原 system 目录 将数据库连接类型改为 mysqli 即修改 config/database. »